Mise à disposition du plugin FCKEditor pour Dotclear

Suite à cet article, vous êtes nombreux à me contacter pour m’informer que le lien mentionné pour installer le plugin FCKEditor pour Dotclear ne fonctionne plus. Et vous êtes aussi nombreux à me demander si je pourrais vous fournir le plugin en question (qui a effectivement changé ma vie de blogueur). Le voilà donc, à

Suite à cet article, vous êtes nombreux à me contacter pour m’informer que le lien mentionné pour installer le plugin FCKEditor pour Dotclear ne fonctionne plus.

Et vous êtes aussi nombreux à me demander si je pourrais vous fournir le plugin en question (qui a effectivement changé ma vie de blogueur).

Le voilà donc, à dézipper et installer dans votre répertoire votreblog/dotclear/ecrire/tools/, puis à activer via votre panel d’admin Dotclear, rubrique Gestion des plugins.

Attention, je vous le livre brut et sans aucune garantie de fonctionnement, ne connaissant pas le comportement de ce plugin dans le cas d’une installation directe des fichiers dans un répertoire.

Télécharger le plugin FCKEditor pour Dotclear


Nos dernières vidéos

30 commentaires

  1. Merci beaucoup
    S’installe à l’aise et marche sans problème …
    Testé sur DotClear 1.2.5.
    Redsan > Il me semble avoir lu que DotClear 2 avait un éditeur WYSIWYG en natif ?

  2. Ce plugin est vraiment très bon, surtout lorsqu’on réalise un blog pour quelqu’un d’autre, qui n’y connais absolument rien au web… En ce qui me concerne, je suis resté en wiki, car le plugin ralenti quand même un peu la bête.

    Et au niveau de la gestion des images, c’est pas toujours évident…

  3. C’est le 1er plugin de Dotclear que je parviens à installer du 1er coup.
    Merci pour l’info et bravo au concepteur. C’est un outil précieux !

  4. Un éditeur similaire à celui-ci semble-t-il est effectivement inclus dans Dotclear 2, bien pratique effectivement aussi pour un bloggueur débutant !

  5. Merci pour l’astuce. j’utilisais sans trop me poser de question le wiki, et je crois que c’est désormais une période révolue! (ah, et tout à fait d’accord pour l’approche 3 en un du blog. Oui, je sais, ça date un peu, mais je redécouvre quelques articles de ton blog que je n’avais pas vu)

  6. Great!!! Plugin installé avec succes!!

    Sinon est il possible d’intégrer d’autres police au plugin ( patino linotype..)

    merci
    😉

  7. @Dino : c’est pas forcément une bonne idée, car les polices seront affichées si elles sont disponibles sur la machine du visiteur, raison pour laquelle on se limite aux habituels et standards Verdana, Arial, Times, …

  8. Bonjour,
    J’ai installé ce plugin sur un de mes blogs. Il me plait beaucoup sauf au niveau de la gestion des images. J’aurais en fait voulu faire un mix entre "Click Image" qui permet de faire du resize des images de manière automatique. Ce n’est en effet pas evident quand vous avez des auteurs lambda de leurs demander de resizer les images avant de les uploader. Qqn aurait-il une version de FCKeditor avec le bouton image de Click Image ?

  9. Salut, je me demandais si tu utilisais toujours FCKeditor depuis le passage de la version 1.2.6 –> 1.2.7. Personellement avec la version 1.2.7 ça ne fonctionne plus (Precondition Failed…). As-tu un tuyau ? ^^

  10. Bonjour,

    Même problème que pour Viz & Clement, je vois le plugin dans l’administration du blog mais quand je vais pour l’installer ça m’affiche un message d’erreur…

    Si quelqu’un a eu le même problème et qu’il a réussi à le résoudre ou si qqn à trouvé une autre version de ce plugin je suis preneur.

    Par avance, merci.

  11. Re
    Après 30 minutes de recherche, FCKeditor ne fonctionne pas encore sur la version 1.2.7 de dotclear mais parfaitement sur la 1.2.6.

    Si quelqu’un connaît une version pour la 1.2.7 je suis preneur.

    Petite question, est-ce qu’il y a une grande différence entre la 1.2.6 et la version suivante que j’avais jusqu’à maintenant? J’ai modifié un thème pour la 1.2.7 que je n’ai pas encore pu tester sur la version 1.2.6 … j’espère ne pas avoir de grosse surprise. Je verrai ça ce soir puisque là je suis au boulot et que malheureusement bloguer n’est pas mon travail :s

    Bonne journée à tous,

  12. Bonjour,

    j’ai la solution pour que le plugin fckeditor fonctionne avec la version 1.2.7 :

    le problème vient d’une nouvelle librairie qui ajoute une couche de sécurité dans les formulaires de dotclear /ecrire/inc/lib.dcnonce.php, les plugins doivent donc TOUS être adaptés pour fonctionner avec 1.2.7…

    manip : une fois que vous avez téléchargé le plugin fckEditor, avant l’installation, il faut modifier les fichiers /ecrire/tools/fckeditor/install.poster.php et /ecrire/tools/fckeditor/index.php en ajoutant "dcNonce::form()." avant toute les balises </form> (il y a juste 8 lignes à modifier)

    pour ceux qui ne veulent pas le faire à la main, vous pouvez les télécharger sur cette page http://www.cylman.com/tempo/plug...

  13. il y a qd meme un warning lors de la validation de du post via fck editor …

    si qqn avait la soluce …

  14. karpediem on

    Bonjour,

    Et bien moi je suis en 1.2.8, j’ai fait tout comme c’est expliqué, j’ai vidé mon cache et j’ai toujours l’ancienne barre wiki de dotclear…
    Quelqu’un aurait-il une idée de ce que je pourrais faire pour trouver d’où vient le pb ?

Répondre